package com.yunfeiyun.agmp.common.core.domain.model;

import java.util.Objects;

public class LinkSession implements Comparable<LinkSession>{
    private String token;
    private String logoutUrl;
    private String sysId;

    public String getSysId() {
        return sysId;
    }

    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    public LinkSession(String token) {
        this.token = token;
    }

    public String getToken() {
        return token;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        LinkSession that = (LinkSession) o;
        return token.equals(that.token);
    }

    @Override
    public int hashCode() {
        return Objects.hash(token);
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getLogoutUrl() {
        return logoutUrl;
    }

    public void setLogoutUrl(String logoutUrl) {
        this.logoutUrl = logoutUrl;
    }

    @Override
    public String toString() {
        return "LinkSession{" +
                "sysId='" + sysId + '\'' +
                "  token='" + token + '\'' +
                ", logoutUrl='" + logoutUrl + '\'' +
                '}';
    }

    @Override
    public int compareTo(LinkSession o) {
        return 0;
    }
}
